Bug 10812 - menu structure change in icewm-1.2.30 hurts
: menu structure change in icewm-1.2.30 hurts
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/icewm)
: unstable
: all Linux
: P2 minor
Assigned To:
:
: http://sourceforge.net/tracker/index....
:
:
:
  Show dependency tree
 
Reported: 2007-02-09 18:51 by
Modified: 2007-02-14 17:43 (History)


Attachments
trivial hatch (649 bytes, patch)
2007-02-09 18:53, Michael Shigorin
no flags Details | Diff
Правильный патчик. (1.06 KB, patch)
2007-02-12 06:34, Evgenii Terechkov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-09 18:51:20
In icewm-1.2.30pre1, there is new and shiny Settings->Focus menu
(showFocusModeMenu).  The only problem is that it's hardwired to "true" in
default.h without any means to disable with preferences.

The attached patch "fixes" this by reverting the nailed-down value so that in
restricted kiosk mode (not usual desktop!) users won't suddenly see extra menu
items but it doesn't help being unable to control the setting at startup time.
------- Comment #1 From 2007-02-09 18:53:08 -------
Created an attachment (id=1791) [details]
trivial hatch

(shouldn't be applied as it solves nothing for most users)
------- Comment #2 From 2007-02-09 18:54:01 -------
reassign
------- Comment #3 From 2007-02-12 06:32:33 -------
Написал правильный патч. Прилагаю его здесь. Он видимо войдёт в alt3.
------- Comment #4 From 2007-02-12 06:34:08 -------
Created an attachment (id=1795) [details]
Правильный патчик.
------- Comment #5 From 2007-02-12 06:34:45 -------
Есть патч. Будет починено в alt3
------- Comment #6 From 2007-02-14 15:45:48 -------
Вах :-)  Так мож я пойду его в апстрим повешу, или ты как автор?
------- Comment #7 From 2007-02-14 17:43:11 -------
Сейчас повешу сам. Спасибо, сам уж забыл.